Search documentation of macula

# macula_cert_system (macula v4.4.1)

View Source

Macula Certificate System Supervisor

Supervises the certificate-related processes: - macula_trust_store: ETS-based trust store for realm certificates

# Summary

## Functions

get_trust_store()

Get the trust store process

start_link()

Start the certificate system with default options

start_link(Opts)

Start the certificate system with options

# Functions

# get_trust_store()

    -spec get_trust_store() -> pid() | undefined.

Get the trust store process

# start_link()

    -spec start_link() -> {ok, pid()} | {error, term()}.

Start the certificate system with default options

# start_link(Opts)

    -spec start_link(Opts :: map()) -> {ok, pid()} | {error, term()}.

Start the certificate system with options